## Interface Swift_Transport_Esmtp_Authenticator

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/Esmtp/Authenticator.php

##### An Authentication mechanism.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
boolean authenticate (Swift_Transport_SmtpAgent $agent, string $username, string $password)
string getAuthKeyword ()

#### Method authenticate (line 35)

#### boolean authenticate( Swift_Transport_SmtpAgent $agent, string $username, string $password)

##### Try to authenticate the user with $username and $password.

#### Parameters

- Swift_Transport_SmtpAgent $agent:
- string $username:
- string $password:

#### Info

- access - public

#### Method getAuthKeyword (line 26)

#### string getAuthKeyword( )

##### Get the name of the AUTH mechanism this Authenticator handles.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:15 +0000 by phpDocumentor 1.4.3